# PDF-O-Matic is copyright (c) 2009, Brett Neumeier.
#
# PDF-O-Matic may be used under the terms of the GPL.  See
# COPYING.GPL, provided in this distribution, for full details.
#
# DOJ and CompNet Design, Inc., are granted a perpetual license to
# use, extend, modify, and redistribute the PDF-O-Matic software as
# they wish, without restriction.

require File.join(File.dirname(__FILE__), 'template_overlay')
require File.join(File.dirname(__FILE__), 'fifthedition')
require File.join(File.dirname(__FILE__), 'sixthedition')

class JavaImplementation
  include Java::com.hero.pdf.PdfOMatic

  def setResourceDir(path)
    @resource_dir = path
  end

  def characterFifth(yaml, output_file)
    CharacterSheetFifth.new(yaml, @resource_dir).generate(output_file)
  end

  def characterSixth(yaml, output_file)
    CharacterSheetSixth.new(yaml, @resource_dir).generate(output_file)
  end
end

JavaImplementation.new
